package cn.superdesk.uniorder.dao.mapper.unified.settlement;

import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgramme;
import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgrammeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedSettlementProgrammeMapper {
    long countByExample(UnifiedSettlementProgrammeExample example);

    int deleteByExample(UnifiedSettlementProgrammeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedSettlementProgramme record);

    int insertSelective(UnifiedSettlementProgramme record);

    List<UnifiedSettlementProgramme> selectByExampleWithBLOBs(UnifiedSettlementProgrammeExample example);

    List<UnifiedSettlementProgramme> selectByExample(UnifiedSettlementProgrammeExample example);

    UnifiedSettlementProgramme selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedSettlementProgramme record, @Param("example") UnifiedSettlementProgrammeExample example);

    int updateByExampleWithBLOBs(@Param("record") UnifiedSettlementProgramme record, @Param("example") UnifiedSettlementProgrammeExample example);

    int updateByExample(@Param("record") UnifiedSettlementProgramme record, @Param("example") UnifiedSettlementProgrammeExample example);

    int updateByPrimaryKeySelective(UnifiedSettlementProgramme record);

    int updateByPrimaryKeyWithBLOBs(UnifiedSettlementProgramme record);

    int updateByPrimaryKey(UnifiedSettlementProgramme record);
}